nxt

## Class TaggedData

- java.lang.Object
- - nxt.TaggedData

-     public class TaggedData
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaggedData.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedData(Transaction transaction, Attachment.TaggedDataAttachment attachment)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccountId()`
    `static DbIterator<TaggedData>` | `getAll(int from, int to)`
    `int` | `getBlockTimestamp()`
    `java.lang.String` | `getChannel()`
    `static int` | `getCount()`
    `byte[]` | `getData()`
    `static TaggedData` | `getData(long transactionId)`
    `static DbIterator<TaggedData>` | `getData(java.lang.String channel, long accountId, int from, int to)`
    `java.lang.String` | `getDescription()`
    `static java.util.List<java.lang.Long>` | `getExtendTransactionIds(long taggedDataId)`
    `java.lang.String` | `getFilename()`
    `long` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String[]` | `getParsedTags()`
    `java.lang.String` | `getTags()`
    `int` | `getTransactionTimestamp()`
    `java.lang.String` | `getType()`
    `boolean` | `isText()`
    `static DbIterator<TaggedData>` | `searchData(java.lang.String query, java.lang.String channel, long accountId, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaggedData

          public TaggedData(Transaction transaction,
                            Attachment.TaggedDataAttachment attachment)

  - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getAll

          public static DbIterator<TaggedData> getAll(int from,
                                                      int to)

    - #### getData

          public static TaggedData getData(long transactionId)

    - #### getExtendTransactionIds

          public static java.util.List<java.lang.Long> getExtendTransactionIds(long taggedDataId)

    - #### getData

          public static DbIterator<TaggedData> getData(java.lang.String channel,
                                                       long accountId,
                                                       int from,
                                                       int to)

    - #### searchData

          public static DbIterator<TaggedData> searchData(java.lang.String query,
                                                          java.lang.String channel,
                                                          long accountId,
                                                          int from,
                                                          int to)

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getTags

          public java.lang.String getTags()

    - #### getParsedTags

          public java.lang.String[] getParsedTags()

    - #### getData

          public byte[] getData()

    - #### getType

          public java.lang.String getType()

    - #### getChannel

          public java.lang.String getChannel()

    - #### isText

          public boolean isText()

    - #### getFilename

          public java.lang.String getFilename()

    - #### getTransactionTimestamp

          public int getTransactionTimestamp()

    - #### getBlockTimestamp

          public int getBlockTimestamp()